Package com.bric.plaf

# Class ColorPickerSliderUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SliderUI
javax.swing.plaf.basic.BasicSliderUI
com.bric.plaf.ColorPickerSliderUI

public class ColorPickerSliderUI extends BasicSliderUI
This is a SliderUI designed specifically for the `ColorPicker`.

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicSliderUI

`BasicSliderUI.ActionScroller, BasicSliderUI.ChangeHandler, BasicSliderUI.ComponentHandler, BasicSliderUI.FocusHandler, BasicSliderUI.PropertyChangeHandler, BasicSliderUI.ScrollListener, BasicSliderUI.TrackListener`

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicSliderUI

`changeListener, componentListener, contentRect, focusInsets, focusListener, focusRect, insetCache, labelRect, leftToRightCache, MAX_SCROLL, MIN_SCROLL, NEGATIVE_SCROLL, POSITIVE_SCROLL, propertyChangeListener, scrollListener, scrollTimer, slider, thumbRect, tickRect, trackBuffer, trackListener, trackRect`

## Constructor Summary

Constructors
Constructor
Description
`ColorPickerSliderUI(JSlider b, ColorPicker cp)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`calculateThumbSize()`
`protected void`
`calculateTrackRect()`
`protected void`
`installListeners(JSlider slider)`
`void`
`paintFocus(Graphics g)`
`void`
`paintThumb(Graphics g)`
`void`
`paintTrack(Graphics g)`
`protected void`
`uninstallListeners(JSlider slider)`

### Methods inherited from class javax.swing.plaf.basic.BasicSliderUI

`calculateContentRect, calculateFocusRect, calculateGeometry, calculateLabelRect, calculateThumbLocation, calculateTickRect, calculateTrackBuffer, createChangeListener, createComponentListener, createFocusListener, createPropertyChangeListener, createScrollListener, createTrackListener, createUI, drawInverted, getBaseline, getBaselineResizeBehavior, getFocusColor, getHeightOfHighValueLabel, getHeightOfLowValueLabel, getHeightOfTallestLabel, getHighestValue, getHighestValueLabel, getHighlightColor, getLowestValue, getLowestValueLabel, getMaximumSize, getMinimumHorizontalSize, getMinimumSize, getMinimumVerticalSize, getPreferredHorizontalSize, getPreferredSize, getPreferredVerticalSize, getShadowColor, getThumbSize, getTickLength, getWidthOfHighValueLabel, getWidthOfLowValueLabel, getWidthOfWidestLabel, installDefaults, installKeyboardActions, installUI, isDragging, labelsHaveSameBaselines, paint, paintHorizontalLabel, paintLabels, paintMajorTickForHorizSlider, paintMajorTickForVertSlider, paintMinorTickForHorizSlider, paintMinorTickForVertSlider, paintTicks, paintVerticalLabel, recalculateIfInsetsChanged, recalculateIfOrientationChanged, scrollByBlock, scrollByUnit, scrollDueToClickInTrack, setThumbLocation, uninstallDefaults, uninstallKeyboardActions, uninstallUI, valueForXPosition, valueForYPosition, xPositionForValue, yPositionForValue, yPositionForValue`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorPickerSliderUI

public ColorPickerSliderUI(JSlider b, ColorPicker cp)

## Method Details

### paintThumb

public void paintThumb(Graphics g)

Overrides:
  `paintThumb` in class `BasicSliderUI`

### calculateThumbSize

protected void calculateThumbSize()

Overrides:
  `calculateThumbSize` in class `BasicSliderUI`

### calculateTrackRect

protected void calculateTrackRect()

Overrides:
  `calculateTrackRect` in class `BasicSliderUI`

### paintTrack

public void paintTrack(Graphics g)

Overrides:
  `paintTrack` in class `BasicSliderUI`

### paintFocus

public void paintFocus(Graphics g)

Overrides:
  `paintFocus` in class `BasicSliderUI`

### installListeners

protected void installListeners(JSlider slider)

Overrides:
  `installListeners` in class `BasicSliderUI`

### uninstallListeners

protected void uninstallListeners(JSlider slider)

Overrides:
  `uninstallListeners` in class `BasicSliderUI`